<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["can"]) && $_GET["can"] > 0)
{

	$canID = $_GET["can"];	
	
	// ruta
	$qc = myquery("SELECT * FROM ".CANALES." WHERE canID='".$canID."'","[var_can=1]");
	$rowc = myfetch($qc);
	if (IDIOMA_ACTUAL == 0)
	{
		$can_nombre = $rowc["nombre"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre"] );
		$can_comen = salida_gral( $rowc["comentario"] );
	}
	else if (IDIOMA_ACTUAL == 1)
	{
		$can_nombre = $rowc["nombre_1"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre_1"] );
		$can_comen = salida_gral( $rowc["comentario_1"] );
	}
	else if (IDIOMA_ACTUAL == 2)
	{
		$can_nombre = $rowc["nombre_2"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre_2"] );
		$can_comen = salida_gral( $rowc["comentario_2"] );
	}
	else if (IDIOMA_ACTUAL == 3)
	{
		$can_nombre = $rowc["nombre_3"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre_3"] );
		$can_comen = salida_gral( $rowc["comentario_3"] );
	}
	else if (IDIOMA_ACTUAL == 4)
	{
		$can_nombre = $rowc["nombre_4"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre_4"] );
		$can_comen = salida_gral( $rowc["comentario_4"] );
	}
	else if (IDIOMA_ACTUAL == 5)
	{
		$can_nombre = $rowc["nombre_5"];
		$can_nombre_sef = SEFcompleURL( $rowc["nombre_5"] );
		$can_comen = salida_gral( $rowc["comentario_5"] );
	}

	// columnas
	$vercolumnas = $rowc["columnas"];

	// Smarty
	$smarty->assign("can_nombre", $can_nombre);
	$smarty->assign("can_nombre_sef", $can_nombre_sef);
	$smarty->assign("can_comen", $can_comen);
	$smarty->assign("canID", $rowc["canID"]);
	$smarty->assign("can_foto", $rowc["foto"]);
	$smarty->assign("canal_tipo", $rowc["canal_tipo"]);

	// subcanales
	include("./ints/inc/inc_sub_canales.php");
	
	// SALIDA DEL TIPO DE CANAL
	$salida_canales = array();
	$cnt_cant = "";
	$paginas = "";
	if ($rowc["canal_tipo"] == 1) // 1 -> imagenes
	{

		$q = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."' ORDER BY orden ASC, imgID DESC limit ".$sig.", ".CONFIG_34."","[var_can=2]");
		$i=0;
		while ($rowIMG = myfetch($q))
		{	

			include ("./ints/inc/inc_list_imagenes.php");

			// conocer si se relaciona en items
			// Hay relacionados?
			$rowIMG["salida_canal_imagenes_items_rela"] = array();
			$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$rowIMG["imgID"]."' AND tipo=2 AND enabled=1","[var_can=3]");
				while ($rowrels = myfetch($qrelt))
				{
					$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["itemID"]."'","[var_can=4]");
					$row1 = myfetch($qrel);
					
					if ($row1["item_tipo"] == 1 && $row1["enabled"] == 1)
					{
					
						include ("./ints/inc/inc_rela_items_canales.php");
										
						$rowIMG["salida_canal_imagenes_items_rela"][] = $row1;
					}
					

				} // del while items relacionados

			$salida_canales[] = $rowIMG;
			
		$i++;
		} // del while

		// paginas
		$q_todos = myquery("SELECT * FROM ".IMAGENES." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."'","[var_can=5]");	
		$cnt_cant = mynumrows($q_todos);
		$paginas = paginas_gral($cnt_cant, $sig, $pag, CONFIG_34, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."can".IGUAL.$canID.AMPER."sig".IGUAL);
	
	
	} else if ($rowc["canal_tipo"] == 2) // 2 -> archivos
	{

		$q = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."' ORDER BY orden ASC, fileID DESC limit ".$sig.", ".CONFIG_16."","[var_can=6]");
		$i=0;
		while ($rowARC = myfetch($q))
		{	

			include ("./ints/inc/inc_list_archivos.php");
			
			// conocer si se relaciona en items
			// Hay relacionados?
			$rowARC["salida_canal_archivos_items_rela"] = array();
			$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$rowARC["fileID"]."' AND tipo=3 AND enabled=1","[var_can=7]");
				
				while ($rowrels = myfetch($qrelt))
				{
					$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["itemID"]."'","[var_can=8]");
					$row1 = myfetch($qrel);

					if ($row1["item_tipo"] == 1 && $row1["enabled"] == 1)
					{
					
						include ("./ints/inc/inc_rela_items_canales.php");

						$rowARC["salida_canal_archivos_items_rela"][] = $row1;
					}

				
				} // del while relacionados
					
			$salida_canales[] = $rowARC;
	
		$i++;
		} // del while
		
		// paginas
		$q_todos = myquery("SELECT * FROM ".ARCHIVOS." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."'","[var_can=9]");
		$cnt_cant = mynumrows($q_todos);
		$paginas = paginas_gral($cnt_cant, $sig, $pag, CONFIG_16, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."can".IGUAL.$canID.AMPER."sig".IGUAL);
	
	} else if ($rowc["canal_tipo"] == 3) // 3 -> videos
	{

		$q = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."' AND (tipo=1 OR tipo=3) ORDER BY orden ASC, multID DESC limit ".$sig.", ".CONFIG_33."","[var_can=10]");
		$i=0;
		while ($rowMT = myfetch($q))
		{	

			include ("./ints/inc/inc_list_multimedia.php");

			// conocer si se relaciona en items
			// Hay relacionados?
			$rowMT["salida_canal_multimedia_items_rela"] = array();
			$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$rowMT["multID"]."' AND tipo=4 AND enabled=1","[var_can=11]");
				while ($rowrels = myfetch($qrelt))
				{
					$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["itemID"]."'","[var_can=12]");
					$row1 = myfetch($qrel);

					if ($row1["item_tipo"] == 1 && $row1["enabled"] == 1)
					{
					
						include ("./ints/inc/inc_rela_items_canales.php");
					
						$rowMT["salida_canal_multimedia_items_rela"][] = $row1;
					}

				} // del while items relacionados
		
			$salida_canales[] = $rowMT;


		$i++;
		} // del while


		// paginas
		$q_todos = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND mostrar=1 AND (tipo=1 OR tipo=3) AND canID='".$canID."'","[var_can=13]");
		$cnt_cant = mynumrows($q_todos);
		$paginas = paginas_gral($cnt_cant, $sig, $pag, CONFIG_33, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."can".IGUAL.$canID.AMPER."sig".IGUAL);


	} else if ($rowc["canal_tipo"] == 4) // 4 -> sonidos
	{

		$q = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND mostrar=1 AND canID='".$canID."' AND (tipo=2 OR tipo=4) ORDER BY orden ASC, multID DESC limit ".$sig.", ".CONFIG_33."","[var_can=14]");
		$i=0;
		while ($rowMT = myfetch($q))
		{	

			include ("./ints/inc/inc_list_multimedia.php");

			// conocer si se relaciona en items
			// Hay relacionados?
			$rowMT["salida_canal_multimedia_items_rela"] = array();
			$qrelt = myquery("SELECT * FROM ".RELACIONADOS." WHERE refID='".$rowMT["multID"]."' AND tipo=5 AND enabled=1","[var_can=15]");
				while ($rowrels = myfetch($qrelt))
				{
					$qrel = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowrels["itemID"]."'","[var_can=16]");
					$row1 = myfetch($qrel);

					if ($row1["item_tipo"] == 1 && $row1["enabled"] == 1)
					{
					
						include ("./ints/inc/inc_rela_items_canales.php");
					
						$rowMT["salida_canal_multimedia_items_rela"][] = $row1;
					}


				} // del while items relacionados
		
			$salida_canales[] = $rowMT;


		
		$i++;
		} // del while


		// paginas
		$q_todos = myquery("SELECT * FROM ".MULTIMEDIA." WHERE enabled=1 AND mostrar=1 AND (tipo=2 OR tipo=4) AND canID='".$canID."'","[var_can=17]");
		$cnt_cant = mynumrows($q_todos);
		$paginas = paginas_gral($cnt_cant, $sig, $pag, CONFIG_33, RUTA_INICIO."len".IGUAL.IDIOMA_ACTUAL.AMPER."can".IGUAL.$canID.AMPER."sig".IGUAL);


	}


	// Smarty
	$smarty->assign("salida_canales",$salida_canales);
	
	// Smarty
	$smarty->assign("total", $cnt_cant);

	// Smarty
	$smarty->assign("paginas", $paginas);
	
}

?>